summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-tlnet
diff options
context:
space:
mode:
Diffstat (limited to 'Master/tlpkg/bin/tl-update-tlnet')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-tlnet16
1 files changed, 13 insertions, 3 deletions
diff --git a/Master/tlpkg/bin/tl-update-tlnet b/Master/tlpkg/bin/tl-update-tlnet
index 6aa7d9f6830..888d8c0f8bf 100755
--- a/Master/tlpkg/bin/tl-update-tlnet
+++ b/Master/tlpkg/bin/tl-update-tlnet
@@ -267,6 +267,10 @@ if test -n "$unexpected_output"; then
echo "$prg: (end of unexpected output)." >&2
fi
+# This is so the output files from the branch consistency runs don't
+# overwrite the trunk consistency output files when we're doing the pretest.
+tlnet_target=`basename $tlweb` # tlnet or tlpretest
+
# more consistency checks.
if test $failure = false; then
for cmd in \
@@ -280,14 +284,17 @@ if test $failure = false; then
; do
cmdname=`echo "$cmd" | awk '{print $1}'`
if echo "$cmdname" | grep check-tlnet-consistency >/dev/null; then
- # skip consistency check if requested (for development only).
+ # skip consistency check if requested (for this script development only),
+ # since it takes quite a while.
$check_consistency || continue
fi
basecmd=`basename $cmdname`
echo "$prg: `date`"
echo "$prg: Running $basecmd ($cmd)"
- outfile=/tmp/tlnet.$basecmd
- if $cmd >$outfile 2>&1; then :; else
+ outfile=/tmp/$tlnet_target.$basecmd
+ if $cmd >$outfile 2>&1; then
+ echo "$prg: $basecmd ok."
+ else
echo "$prg: $basecmd failed ($cmd):" >&2
sed 8q $outfile >&2
echo "... see $outfile for full output ..." >&2
@@ -295,6 +302,7 @@ if test $failure = false; then
failure=true
fi
done
+ echo "$prg: `date` done with consistency checks (failure=$failure)"
fi
# Format creation check, in case fmtutil's exit status wasn't right.
@@ -322,6 +330,8 @@ if $failure || $chicken; then
echo "$prg: Copies of both are in /tmp." >&2
echo "$prg: Please rm -rf the trial dir." >&2
if $failure; then
+ echo
+ echo "$prg: Some failure, exiting."
exit 1
elif $chicken; then
echo